#           Create Msphinx project with a single mosaic plane from HDF/SDS records (With calibration)
#============================================================================================
verbose
send_set_verbose

set_project ProjectName="SIMPLEMOSAIC" DataPlanesOnDisk=Yes

set_workpace_geometry PlaneWidth=2300 PlaneHeight=3000 DataType=0 CellWidth=2300  CellHeight=3000

set_view_planes      ViewPlane=1 red=1 green=2 blue=3

send_destroy_all_data



#Encapsulate HDFLook command lines
#====================================
SEND_HDFLOOK <<
verbose
clear_data
set_output_directory            ../OUTPUTS/
set_input_directory             ../IMAGES

set_projection_to_geometry ProjectionTo="LINEAR"  WidthTo=2300 HeightTo= 3000\
                        LatitudeMinTo=8.0 LatitudeMaxTo=65.0 \
                        LongitudeMinTo=38.0 LongitudeMaxTo=80.0

set_input_hdf_file          MOD021KM.A2001140.0715.002.2001144040827.mimic.hdf
select_SDS                  SDSname="EV_1KM_Emissive"
create_MODIS_SDS_Mosaic     plane=1 Index=1 ClearFile=Yes  scaling="Radiance"

set_input_hdf_file          MOD021KM.A2001140.0720.002.2001144040825.mimic.hdf
select_SDS                  SDSname="EV_1KM_Emissive"
create_MODIS_SDS_Mosaic     plane=1 Index=1 ClearFile=NO  scaling="Radiance"

set_input_hdf_file          MOD021KM.A2001140.0725.002.2001144042556.mimic.hdf
select_SDS                  SDSname="EV_1KM_Emissive"
create_MODIS_SDS_Mosaic     plane=1 Index=1 ClearFile=NO  scaling="Radiance"

send_exit

# End of HDFLook encapsulate
>>




#adding maps and grid using Mpshinx
send_world_map                  Draw=Coasts     Color="Green"
send_world_map                  Draw=Rivers     Color="Blue"
send_world_map                  Draw=Boundaries Color="Magenta"

send_grids                      LatitudeMin=8.0   LatitudeMax=90.0  LatitudeStep=5.0 \
                                LongitudeMin=38.0 LongitudeMax=90.0 LongitudeStep=5.0 \
                                Color="Red"
