#           Create Msphinx project with 3 RGB planes (Thermal anomalies)
#=======================================================================
verbose
send_set_verbose

set_project ProjectName="SIMPLEMOSAIC" DataPlanesOnDisk=Yes

set_workpace_geometry PlaneWidth=2300 PlaneHeight=3000 DataType=0 CellWidth=2300  CellHeight=3000

set_view_planes      ViewPlane=0 red=1 green=2 blue=3

send_destroy_all_data



#Encapsulate HDFLook command lines
#====================================
SEND_HDFLOOK <<
verbose
clear_data
set_output_directory            ../OUTPUTS/
set_input_directory             ../IMAGES

set_projection_to_geometry ProjectionTo="LINEAR"  WidthTo=2300 HeightTo= 3000\
                        LatitudeMinTo=8.0 LatitudeMaxTo=65.0 \
                        LongitudeMinTo=38.0 LongitudeMaxTo=80.0

set_image_background            color=White
set_image_RGB_composite         THERMALANOMALIES

set_input_hdf_file 		MOD021KM.A2001140.0715.002.2001144040827.mimic.hdf
create_MODIS_RGB_Mosaic  	Plane=1 ClearFile=Yes 

set_input_hdf_file 		MOD021KM.A2001140.0720.002.2001144040825.mimic.hdf	
create_MODIS_RGB_Mosaic  	Plane=1 ClearFile=No 

set_input_hdf_file 		MOD021KM.A2001140.0725.002.2001144042556.mimic.hdf
create_MODIS_RGB_Mosaic  	Plane=1 ClearFile=No 

send_exit

# End of HDFLook encapsulate
>>
