#                      Create a 3 planes (R,G,B) reprojected mosaic 
#=======================================================================================
verbose
clear_data
set_output_directory            ../OUTPUTS/
set_input_directory             ../IMAGES

set_projection_to_geometry ProjectionTo="LINEAR"  WidthTo=1100 HeightTo= 1500\
                        LatitudeMinTo=8.0 LatitudeMaxTo=65.0 \
                        LongitudeMinTo=38.0 LongitudeMaxTo=80.0

set_image_background            color=White

set_input_hdf_file 		MOD021KM.A2001140.0715.002.2001144040827.mimic.hdf
create_MODIS_RGB_Mosaic  	FileName="RGB_mosaic" ClearFile=Yes RGBMode="Log"

set_input_hdf_file 		MOD021KM.A2001140.0720.002.2001144040825.mimic.hdf
create_MODIS_RGB_Mosaic  	FileName="RGB_mosaic" ClearFile=No RGBMode="Log"

#================================= JPEG control file setting ====================================
add_earth_icon                  x=10 y=10 width=200 height=200
add_maps        Coastlines=yes Rivers=yes Boundaries=yes \
               CoastlineColor=Green RiverColor=Blue BoundaryColor=magenta
add_grids    color=Black LatitudeMin=-90 LatitudeMax=90 LatitudeStep=10 \
                LongitudeMin=-180 LongitudeMax=180 LongitudeStep=10
add_text                x= 10 y=512 ForegroundColor="Black"  BackgroundColor="TRANSPARENT" \
                        Border=0   FontName="Bell.ttf" SizeFactor=6.0 Rotation=30.0 \
                        Text="RGB_mosaicjpeg.com"
add_latitude_labels    ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Bell.ttf" \
                        SizeFactor=3.0 Rotation=0. Format="%.1f" \
                        Longitude=40 LatitudeMin=-90  LatitudeMax=90 LatitudeStep=10
add_longitude_labels   ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Bell.ttf" \
                        SizeFactor=3.0 Rotation=0. Format="%.1f" \
                        Latitude=10 LongitudeMin=-180 LongitudeMax=180 LongitudeStep=10
#================================================================================================

set_input_hdf_file 		MOD021KM.A2001140.0725.002.2001144042556.mimic.hdf
create_MODIS_RGB_Mosaic  	FileName="RGB_mosaic" ClearFile=No RGBMode="Log" -createJPEG=yes

