verbose
send_set_verbose

set_project ProjectName="SIMPLEIMAGE" DataPlanesOnDisk=Yes

set_workpace_geometry PlaneWidth=2000 PlaneHeight=2000 DataType=0 CellWidth=1000  CellHeight=1000

send_destroy_all_data

SEND_HDFLOOK <<

verbose
clear_data
set_output_directory            ../OUTPUTS
set_input_directory             ../IMAGES

set_projection_to_geometry 	ProjectionTo="LINEAR" 

set_input_hdf_file              MOD021KM.A2001158.0835.003.2001164180611.mimic.hdf
add_Msphinx_maps        	Coastlines=yes Rivers=yes Boundaries=yes 
set_image_background            color=White 

create_MODIS_RGB_image          plane=1 x=0 y=0 width=1000 height=1000  rgbmode=log \
				minR=8.3 maxR=9.3 minG=8.3 maxG=9.3 minB=8.3 maxB=9.3

set_input_hdf_file              MOD021KM.A2001140.0715.002.2001144040827.mimic.hdf
create_MODIS_RGB_image          plane=1 x=1000 y=0 width=1000 height=1000  rgbmode=log 

set_input_hdf_file              MOD021KM.A2001140.0720.002.2001144040825.mimic.hdf
create_MODIS_RGB_image          plane=1 x=0 y=1000 width=1000 height=1000 enhance=0 rgbmode=log \
				minR=6.0 maxR=8.2 minG=6.0 maxG=8.2 minB=6.0 maxB=8.2

set_input_hdf_file              MOD021KM.A2001140.0725.002.2001144042556.mimic.hdf
create_MODIS_RGB_image          plane=1 x=1000 y=1000 width=1000 height=1000 rgbmode=log \
				minR=6.0 maxR=8.2 minG=6.0 maxG=8.2 minB=6.0 maxB=8.2
send_exit
>>

set_view_planes      ViewPlane=0 red=1 green=2 blue=3
send_clear_page

      send_draw_page_text X1=2.0 Y1=3.0 ForegroundColor="BLACK" BoldFont=Yes TextHeight=.3   Justification=left \
                                        "MOD021KM.A2001158.0835.003.2001164180611.hdf"
      send_draw_page_cell X=0 Y=0       width=1000 height=1000 XTo=1.5  YTo=4  WidthTo=9 HeightTo=9 FitPatch=No

      send_draw_page_text X1=12.0 Y1=3.0 ForegroundColor="BLACK" BoldFont=Yes TextHeight=.3   Justification=left \
                                        "MOD021KM.A2001140.0715.002.2001144040827.hdf"
      send_draw_page_cell X=1000 Y=0    width=1000 height=1000 XTo=11.5 YTo=4  WidthTo=9 HeightTo=9 FitPatch=No

      send_draw_page_text X1=2.0 Y1=17.0 ForegroundColor="BLACK" BoldFont=Yes TextHeight=.3   Justification=left \
                                        "MOD021KM.A2001140.0720.002.2001144040825.hdf"
      send_draw_page_cell X=0 Y=1000    width=1000 height=1000 XTo=1.5  YTo=18 WidthTo=9 HeightTo=9 FitPatch=No

      send_draw_page_text X1=12.0 Y1=17.0 ForegroundColor="BLACK" BoldFont=Yes TextHeight=.3   Justification=left \
                                        "MOD021KM.A2001140.0725.002.2001144042556.hdf"
      send_draw_page_cell X=1000 Y=1000 width=1000 height=1000 XTo=11.5 YTo=18 WidthTo=9 HeightTo=9 FitPatch=No

send_to_PS_File  File="./RGB_PAGESETTINGprint.ps" Type=Color PaperFormat="A4" Resolution=200 Copies=1 Orientation=Portrait RGBEncoding=Yes
