#        MOD09A1  RGB JPEG IMAGE  + GRIDS MAPS EARTH_ICON TEXT + LABELS
verbose
clear_data
set_output_directory            /home/louis/OUTPUTS
set_input_directory             /home/louis/MODIS_ALL_IMAGES/

set_projection_to_geometry      ProjectionTo="LINEAR"
set_input_hdf_file             	MOD09A1.A2001073.h29v13.003.2001198121606.hdf

set_image_background 		color=GREY0

add_maps        Coastlines=yes Rivers=yes Boundaries=yes \
               CoastlineColor=Green RiverColor=Blue BoundaryColor=magenta


add_grids    color=White LatitudeMin=-90 LatitudeMax=90 LatitudeStep=2 \
		LongitudeMin=-180 LongitudeMax=180 LongitudeStep=2

add_earth_icon          x=10 y=10 width=150 height=150 

add_text 		x= 10 y=512 ForegroundColor="YELLOW"  BackgroundColor="TRANSPARENT" \
			Border=0   FontName="Courb.ttf" SizeFactor=4.0 Rotation=30.0 \
			Text="MODIS MOD09A1 PRODUCT"


add_latitude_labels    ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0. Format="%.1f" LatitudeStep=4

add_longitude_labels   ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0. Format="%.1f"  LongitudeStep=4

create_MODIS_JPEG_image     FileName="09A1_RGB_JPEG.jpg" width=1024 height=1024 RGBMode=log


