#        COARSE(DACC)  SDS JPEG IMAGE  + GRIDS MAPS EARTH_ICON TEXT + SCALE
verbose
clear_data
set_output_directory            /home/louis/OUTPUTS
set_input_directory             /home/louis/MODIS_ALL_IMAGES/

set_projection_to_geometry      ProjectionTo="LINEAR"
set_input_hdf_file             	MOD02SSH.A2002011.2055.003.2002074103351.hdf

set_color_scale_name 		RAINBOW0
set_image_background 		color=GREY0

add_maps        Coastlines=yes Rivers=yes Boundaries=yes \
               CoastlineColor=Green RiverColor=Blue BoundaryColor=magenta


add_grids    color=White LatitudeMin=-90 LatitudeMax=90 LatitudeStep=2 \
		LongitudeMin=-180 LongitudeMax=180 LongitudeStep=2

add_earth_icon                  x=10 y=10 width=150 height=150

add_scale_to_image      x=550 y=850 width=400 height=100 \
			TickColor=White  ForegroundColor=Black backgroundColor=White \
			TextFormat="%.1f" FontName=Courb.ttf SizeFactor=1.0 \
			UpLeftSide=Yes NoTicks=No \
		Labels="0  computed    63 computed   127 computed 255 computed"

select_SDS                    SDSname="EV_1KM_RefSB"
set_SDS_enhance 		min=0 max=1.0               

add_text                x= 10 y=512 ForegroundColor="YELLOW"  BackgroundColor="TRANSPARENT" \
                        Border=0   FontName="accidd.ttf" SizeFactor=4.0 Rotation=30.0 \
                        Text="MODIS DAAC COARSE"

add_text 		x= 670 y=900 ForegroundColor="White"  BackgroundColor="TRANSPARENT" \
			Border=2   FontName="Bell.ttf" SizeFactor=1.0 Rotation=0.0 \
			Text="Radiance scale"

add_latitude_labels    ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0. Format="%.1f" LatitudeStep=4

add_longitude_labels   ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0. Format="%.1f"  LongitudeStep=4

create_MODIS_SDS_JPEG_image     FileName="IDS_SDS_JPEG.jpg" width=1024 height=1024 Index=1 Scaling=Reflectance


